> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Specific Chat Message (/api-reference/chat-messages/get-specific-chat-message)

Get a single chat message by its ID. Returns a 404 if the message does not exist in the chat.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/chats/{chat_id}/messages/{message_id}
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Blocked / Restricted Users
    description: APIs for listing the users an account has blocked or restricted
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links, tracking links, and Smart Links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/chats/{chat_id}/messages/{message_id}:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
      - in: path
        name: chat_id
        description: The ID of the chat (usually a fan's OnlyFans User ID)
        example: "123"
        required: true
        schema:
          type: string
      - in: path
        name: message_id
        description: The ID of the message to retrieve
        example: "69696969"
        required: true
        schema:
          type: string
    get:
      summary: Get Specific Chat Message
      operationId: getSpecificChatMessage
      description: Get a single chat message by its ID. Returns a 404 if the message
        does not exist in the chat.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    responseType: message
                    text: I am so glad you’re here🫶🏻
                    giphyId: null
                    lockedText: false
                    isFree: true
                    price: 0
                    isMediaReady: true
                    mediaCount: 0
                    media: []
                    previews: []
                    isTip: false
                    isReportedByMe: false
                    isCouplePeopleMedia: false
                    queueId: 123
                    isMarkdownDisabled: true
                    releaseForms: []
                    fromUser:
                      id: 123
                      _view: s
                    isFromQueue: false
                    id: 69696969
                    isOpened: false
                    isNew: false
                    createdAt: 2025-02-03T23:29:53+00:00
                    changedAt: 2025-02-03T23:29:53+00:00
                    cancelSeconds: 0
                    isLiked: false
                    canPurchase: false
                    canPurchaseReason: free
                    canReport: false
                    canBePinned: true
                    isPinned: false
                    isSentByMe: true
                  _meta:
                    _credits:
                      used: 1
                      balance: 999964357
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 997
                      remaining_day: 49997
                properties:
                  data:
                    type: object
                    properties:
                      responseType:
                        type: string
                        example: message
                      text:
                        type: string
                        example: I am so glad you’re here🫶🏻
                      giphyId:
                        type: string
                        example: null
                        nullable: true
                      lockedText:
                        type: boolean
                        example: false
                      isFree:
                        type: boolean
                        example: true
                      price:
                        type: integer
                        example: 0
                      isMediaReady:
                        type: boolean
                        example: true
                      mediaCount:
                        type: integer
                        example: 0
                      media:
                        type: array
                        example: []
                      previews:
                        type: array
                        example: []
                      isTip:
                        type: boolean
                        example: false
                      isReportedByMe:
                        type: boolean
                        example: false
                      isCouplePeopleMedia:
                        type: boolean
                        example: false
                      queueId:
                        type: integer
                        example: 123
                      isMarkdownDisabled:
                        type: boolean
                        example: true
                      releaseForms:
                        type: array
                        example: []
                      fromUser:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 123
                          _view:
                            type: string
                            example: s
                      isFromQueue:
                        type: boolean
                        example: false
                      id:
                        type: integer
                        example: 69696969
                      isOpened:
                        type: boolean
                        example: false
                      isNew:
                        type: boolean
                        example: false
                      createdAt:
                        type: string
                        example: 2025-02-03T23:29:53+00:00
                      changedAt:
                        type: string
                        example: 2025-02-03T23:29:53+00:00
                      cancelSeconds:
                        type: integer
                        example: 0
                      isLiked:
                        type: boolean
                        example: false
                      canPurchase:
                        type: boolean
                        example: false
                      canPurchaseReason:
                        type: string
                        example: free
                      canReport:
                        type: boolean
                        example: false
                      canBePinned:
                        type: boolean
                        example: true
                      isPinned:
                        type: boolean
                        example: false
                      isSentByMe:
                        type: boolean
                        example: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999964357
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 997
                          remaining_day:
                            type: integer
                            example: 49997
        "404":
          description: Message Not Found
          content:
            application/json:
              schema:
                type: object
                example:
                  error: ONLYFANS_COM_ERROR
                  message: The requested OnlyFans resource was not found.
                  description: This error happened while our servers tried to communicate with
                    OnlyFans.com in real time
                  onlyfans_response:
                    status: 200
                    body:
                      list: []
                      hasMore: false
                properties:
                  error:
                    type: string
                    example: ONLYFANS_COM_ERROR
                  message:
                    type: string
                    example: The requested OnlyFans resource was not found.
                  description:
                    type: string
                    example: This error happened while our servers tried to communicate with
                      OnlyFans.com in real time
                  onlyfans_response:
                    type: object
                    properties:
                      status:
                        type: integer
                        example: 200
                      body:
                        type: object
                        properties:
                          list:
                            type: array
                            example: []
                          hasMore:
                            type: boolean
                            example: false
      tags:
        - Chat Messages
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````